Skip to main content
GET
/
v2
/
users
/
{userId}
/
orchestration-addresses
/
{orchestrationAddressId}
/
deposits
List deposits for an orchestration address
curl --request GET \
  --url https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses/{orchestrationAddressId}/deposits \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "records": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orchestrationAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "chain": "<string>",
      "sourceAddress": "<string>",
      "transactionHash": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

orchestrationAddressId
string<uuid>
required

ID of the orchestration address.

Query Parameters

status
enum<string>

Filter deposits by status.

Available options:
PENDING,
BATCHED,
IGNORED,
REFUNDED
batchId
string<uuid>

Filter deposits to those included in a specific batch.

createdAfter
string<date-time>

Inclusive lower bound on createdAt (ISO 8601). Only records created at or after this timestamp are returned.

createdBefore
string<date-time>

Exclusive upper bound on createdAt (ISO 8601). Only records created strictly before this timestamp are returned.

limit
integer
default:50

Maximum number of records to return. 1–200, defaults to 50.

Required range: 1 <= x <= 200
offset
integer
default:0

Number of records to skip (offset-based pagination).

Required range: x >= 0

Response

A paginated list of deposits for the named orchestration address.

Paginated list of deposits for an orchestration address.

count
integer
records
object[]